---    drop function food600.odpocet_nateraz
---- toto je prikaz, ktorym sa odmazavaju funkcie odpocet_nateraz a odpocet_stop_limity so starym zoznamom parametrov, aby neboli po dve funkcie s roznymi parametrami
DO
$$
BEGIN
IF EXISTS (SELECT proname FROM    pg_catalog.pg_namespace n JOIN    pg_catalog.pg_proc p  ON      pronamespace = n.oid  WHERE   nspname = 'food600' and proname='odpocet_nateraz' and proargnames='{mmeno,cdata,mcstredisk,mmenaakt}') THEN
	drop function food600.odpocet_nateraz(mmeno character varying, cdata integer, mcstredisk integer, mmenaakt integer);
END IF;
IF EXISTS (SELECT proname FROM    pg_catalog.pg_namespace n JOIN    pg_catalog.pg_proc p  ON      pronamespace = n.oid  WHERE   nspname = 'food600' and proname='odpocet_stop_limity' and proargnames='{mmeno,cdata,mcstredisk,mmenaakt,idlimit,idden,idrov}') THEN
	drop function food600.odpocet_stop_limity(mmeno character varying, cdata integer, mcstredisk integer, mmenaakt integer, idlimit integer, idden integer, idrov integer);
END IF;

END
$$

